aboutsummaryrefslogtreecommitdiff
path: root/t/t7508-status.sh
diff options
context:
space:
mode:
authorMarkus Heidelberg <markus.heidelberg@web.de>2010-04-03 12:11:57 +0200
committerJunio C Hamano <gitster@pobox.com>2010-04-03 11:25:13 -0700
commitb2f6fd95756de395bd8df77a4069e45b534eab26 (patch)
tree7779891f8d325a459a29cc83e37347254247e330 /t/t7508-status.sh
parent4bb6644d03f6932b94c24c3825e28865f493b692 (diff)
downloadgit-b2f6fd95756de395bd8df77a4069e45b534eab26.tar.gz
git-b2f6fd95756de395bd8df77a4069e45b534eab26.tar.xz
t7508: add a test for "git status" in a read-only repository
Signed-off-by: Markus Heidelberg <markus.heidelberg@web.de> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 't/t7508-status.sh')
-rwxr-xr-xt/t7508-status.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/t/t7508-status.sh b/t/t7508-status.sh
index c317bdef4..a9df7ff7b 100755
--- a/t/t7508-status.sh
+++ b/t/t7508-status.sh
@@ -703,4 +703,19 @@ test_expect_success 'commit --dry-run submodule summary (--amend)' '
test_cmp expect output
'
+test_expect_success POSIXPERM 'status succeeds in a read-only repository' '
+ (
+ chmod a-w .git &&
+ # make dir1/tracked stat-dirty
+ >dir1/tracked1 && mv -f dir1/tracked1 dir1/tracked &&
+ git status -s >output &&
+ ! grep dir1/tracked output &&
+ # make sure "status" succeeded without writing index out
+ git diff-files | grep dir1/tracked
+ )
+ status=$?
+ chmod 775 .git
+ (exit $status)
+'
+
test_done